Cria uma política de plataforma no escopo da organização, que se aplica a todos os projeto da organização. A organização é transportada pelo parâmetro de caminho de ID de rota.
Respostas
-
Versão de API não permitida ou malformada, uma operação indisponível no contrato publicado selecionado ou uma representação inaceitável (incluindo parâmetros de tipo de mídia não suportados ou SSE excluído). Falhas existentes de autenticação, autorização e limite de taxa têm precedência.
-
Criado
-
Solicitação inválida
-
Proibido
-
Conflito
-
Erro interno do servidor
POST /api/v1/organizations/{id}/policies
curl \
--request POST 'https://agentengine.mongodb.com/api/v1/organizations/{id}/policies' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"enabled": true,
"int_value": 42,
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}'
Exemplos de solicitação
{
"enabled": true,
"int_value": 42,
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION"
}
Exemplos de resposta (406)
Operação indisponível
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Exemplos de resposta (406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
Exemplos de resposta (201)
{
"created_at": "string",
"created_by": "string",
"enabled": true,
"id": "string",
"int_value": 42,
"org_id": "string",
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION",
"updated_at": "string",
"updated_by": "string"
}
Exemplos de resposta (201)
{
"created_at": "string",
"created_by": "string",
"enabled": true,
"id": "string",
"int_value": 42,
"org_id": "string",
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION",
"updated_at": "string",
"updated_by": "string"
}
Exemplos de resposta (400)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (400)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (403)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (403)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (409)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (409)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (500)
{
"code": "string",
"error": "string",
"success": true
}
Exemplos de resposta (500)
{
"code": "string",
"error": "string",
"success": true
}